Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.taglib.core
Class ConvertNumberTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ConverterTag
              org.apache.myfaces.taglib.core.ConvertNumberTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ConvertNumberTag
extends javax.faces.webapp.ConverterTag

Version:
  $Revision: 265610 $ $Date: 2005-08-31 21:03:08 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConvertNumberTag()`

Method Summary
`protected javax.faces.convert.Converter` | `createConverter()`
`protected static void` | `setConverterLocale(javax.faces.context.FacesContext facesContext, javax.faces.convert.NumberConverter converter, java.lang.String value)`
`void` | `setCurrencyCode(java.lang.String currencyCode)`
`void` | `setCurrencySymbol(java.lang.String currencySymbol)`
`void` | `setGroupingUsed(java.lang.String groupingUsed)`
`void` | `setIntegerOnly(java.lang.String integerOnly)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMaxFractionDigits(java.lang.String maxFractionDigits)`
`void` | `setMaxIntegerDigits(java.lang.String maxIntegerDigits)`
`void` | `setMinFractionDigits(java.lang.String minFractionDigits)`
`void` | `setMinIntegerDigits(java.lang.String minIntegerDigits)`
`void` | `setPageContext(javax.servlet.jsp.PageContext context)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setType(java.lang.String type)`

Methods inherited from class javax.faces.webapp.ConverterTag
`doStartTag, release, setConverterId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertNumberTag

    public ConvertNumberTag()

Method Detail

### setCurrencyCode

    public void setCurrencyCode(java.lang.String currencyCode)

### setCurrencySymbol

    public void setCurrencySymbol(java.lang.String currencySymbol)

### setGroupingUsed

    public void setGroupingUsed(java.lang.String groupingUsed)

### setIntegerOnly

    public void setIntegerOnly(java.lang.String integerOnly)

### setLocale

    public void setLocale(java.lang.String locale)

### setMaxFractionDigits

    public void setMaxFractionDigits(java.lang.String maxFractionDigits)

### setMaxIntegerDigits

    public void setMaxIntegerDigits(java.lang.String maxIntegerDigits)

### setMinFractionDigits

    public void setMinFractionDigits(java.lang.String minFractionDigits)

### setMinIntegerDigits

    public void setMinIntegerDigits(java.lang.String minIntegerDigits)

### setPattern

    public void setPattern(java.lang.String pattern)

### setType

    public void setType(java.lang.String type)

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

### createConverter

    protected javax.faces.convert.Converter createConverter()
                                                     throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setConverterLocale

    protected static void setConverterLocale(javax.faces.context.FacesContext facesContext,
                                             javax.faces.convert.NumberConverter converter,
                                             java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD